Warning when run deepstream app

Hello,

I try to run my app on Deepstream 5.0

When I run app with mp4 file, it has a warning below:
Warning: ‘input-dims’ parameter has been deprecated. Use ‘infer-dims’ instead

Does it have any effect on the program? If so, how can I fix it?

Thank you.

define CONFIG_GROUP_INFER_UFF_INPUT_DIMENSIONS_LEGACY “input-dims”
define CONFIG_GROUP_INFER_INFER_DIMENSIONS “infer-dims”
in sources/gst-plugins/gst-nvinfer/gstnvinfer_property_parser.h
You can find them in sources/gst-plugins/gst-nvinfer/gstnvinfer_property_parser.cpp
for input-dims, it have 4 values, the fourth determined the tensor order. while infer-dims it have 3 values.
the warning should be harmless, based on your model, decide which one you should use.